Subject: Re: [PATCH] tests: go: Rename and fix duplicate test.
From: Maxim Cournoyer <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 05 May 2021 01:03:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tobias!

Tobias Geerinckx-Rice <[email-masked]> writes:

> * tests/go.scm: Rename "go-version omited 'v' character" to
> "go-version without 'v' prefix" and change the code to match.
> ---
>
> Hi all,
>
> Found on a typo hunt.

Eh, thank you!

> This is my best-effort guess at what was intended.  Maybe I'm
> mistaken: is GO-VERSION->GIT-REF supposed to normalise "1.0.2" to
> "v1.0.2" instead?  Let me know!

I wasn't sure anymore, so I looked at the code; go-version->git-ref is a
no-op (leaves the version string intact) unless it matches
%go-pseudo-version-rx.

>  tests/go.scm | 7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)
>
> diff --git a/tests/go.scm b/tests/go.scm
> index c33a834f69..565a0d451d 100644
> --- a/tests/go.scm
> +++ b/tests/go.scm
> @@ -1,5 +1,6 @@
>  ;;; GNU Guix --- Functional package management for GNU
>  ;;; Copyright  2021 Franois Joulaud <[email-masked]>
> +;;; Copyright  2021 Tobias Geerinckx-Rice <[email-masked]>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -158,9 +159,9 @@ require github.com/kr/pretty v0.2.1
>    "v1.0.2"
>    (go-version->git-ref "v1.0.2"))
>  
> -(test-equal "go-version omited 'v' character"
> -  "v1.0.2"
> -  (go-version->git-ref "v1.0.2"))
> +(test-equal "go-version without 'v' prefix"
> +  "1.0.2"
> +  (go-version->git-ref "1.0.2"))

That test doesn't have much value based on my above analysis.  I suggest
we drop it; it's testing the same thing as the "v1.0.2" case.

I've removed it and pushed with commit 2354d79b88.

Thank you!

Maxim